<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$response = $api->Disputes->GetAll();
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
const listDisputes = async () => {
return await mangopay.Disputes.getAll()
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listDisputes()
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listDisputes()
begin
response = MangoPay::Dispute.fetch()
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Disputes: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
listDisputes()
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Dispute;
import java.util.List;
public class ListDisputes {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
List<Dispute> disputes = mangopay.getDisputeApi().getAll();
for (Dispute dispute : disputes) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(dispute);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Dispute
disputes = Dispute.all()
for dispute in disputes:
print()
pprint(dispute._data)
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputes = await api.Disputes.GetAllAsync(new Pagination(1, 100), null);
string prettyPrint = JsonConvert.SerializeObject(disputes, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"InitialTransactionId": "158596153",
"InitialTransactionType": "PAYIN",
"InitialTransactionNature": "REGULAR",
"DisputeType": "CONTESTABLE",
"ContestDeadlineDate": 1673049599,
"DisputedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"ContestedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Status": "PENDING_CLIENT_ACTION",
"StatusMessage": null,
"DisputeReason": {
"DisputeReasonMessage": "This is a test dispute",
"DisputeReasonType": "UNKNOWN"
},
"ResultCode": "",
"ResultMessage": null,
"Id": "159102965",
"Tag": null,
"CreationDate": 1672411848,
"ClosedDate": 1675260940,
"RepudiationId": "159102966"
}
]
Disputes
List all Disputes
GET
/
v2.01
/
{ClientId}
/
disputes
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$response = $api->Disputes->GetAll();
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
const listDisputes = async () => {
return await mangopay.Disputes.getAll()
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listDisputes()
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listDisputes()
begin
response = MangoPay::Dispute.fetch()
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Disputes: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
listDisputes()
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Dispute;
import java.util.List;
public class ListDisputes {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
List<Dispute> disputes = mangopay.getDisputeApi().getAll();
for (Dispute dispute : disputes) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(dispute);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Dispute
disputes = Dispute.all()
for dispute in disputes:
print()
pprint(dispute._data)
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputes = await api.Disputes.GetAllAsync(new Pagination(1, 100), null);
string prettyPrint = JsonConvert.SerializeObject(disputes, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"InitialTransactionId": "158596153",
"InitialTransactionType": "PAYIN",
"InitialTransactionNature": "REGULAR",
"DisputeType": "CONTESTABLE",
"ContestDeadlineDate": 1673049599,
"DisputedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"ContestedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Status": "PENDING_CLIENT_ACTION",
"StatusMessage": null,
"DisputeReason": {
"DisputeReasonMessage": "This is a test dispute",
"DisputeReasonType": "UNKNOWN"
},
"ResultCode": "",
"ResultMessage": null,
"Id": "159102965",
"Tag": null,
"CreationDate": 1672411848,
"ClosedDate": 1675260940,
"RepudiationId": "159102966"
}
]
Query parameters
Unix timestamp
The date before which the object was created (based on the object’s
CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.Unix timestamp
The date after which the object was created (based on the object’s
CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.string
Allowed values:
CREATED, PENDING_CLIENT_ACTION, SUBMITTED, PENDING_BANK_ACTION, CLOSED, REOPENED_PENDING_CLIENT_ACTIONThe status of the Dispute. You can filter on multiple values by separating them with a comma.string
Allowed values:
CONTESTABLE, NOT_CONTESTABLE, RETRIEVALThe type of the Dispute. You can filter on multiple values by separating them with a comma.Responses
200
200
array
The list of disputes automatically created by Mangopay.
Show properties
Show properties
object
The dispute automatically created by Mangopay.
Show properties
Show properties
string
The unique identifier of the initial pay-in being disputed.
string
Returned values:
PAYINThe type of the initial transaction being disputed.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the initial transaction being refunded, providing more information about the context in which the transaction occurred:- REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
- REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user requested a chargeback).
- REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
- SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle the credit from a repudiation following a lost dispute.
string
Returned values:
CONTESTABLE, NOT_CONTESTABLE, RETRIEVALThe type of dispute:CONTESTABLE– Dispute for which the chargeback can be contested by providing proof (i.e., Dispute Documents) justifying the original transaction.NOT_CONTESTABLE– Dispute that is automatically closed after its creation, without any action possible for the platform.RETRIEVAL– Dispute that is actually a chargeback warning issued by the bank. The platform is required to provide documents, but no funds will be taken from the Repudiation Wallet.
Unix timestamp
The date and time until which the platform can contest the dispute (i.e., the
Status is set to SUBMITTED). This date is defined by the issuing bank of the initial transaction and may usually vary between 7 to 18 days. Once the deadline passes, the dispute Status is automatically set to CLOSED.string
Information about the disputed funds.
Note: This amount can be lower than the initial transaction amount.
Note: This amount can be lower than the initial transaction amount.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the contested funds, in other words, the amount that you wish to contest.
Note: This amount can be lower than the disputed funds amount.
Note: This amount can be lower than the disputed funds amount.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, PENDING_CLIENT_ACTION, SUBMITTED, PENDING_BANK_ACTION, REOPENED_PENDING_CLIENT_ACTION, CLOSEDThe status of the dispute:CREATED– The dispute is created.PENDING_CLIENT_ACTION– The dispute was not closed automatically upon its creation, it now requires some actions from the platform (either submission after providing the relevant proofs or closing).SUBMITTED– The dispute is submitted by the platform for the Mangopay team to review the documents.PENDING_BANK_ACTION– Mangopay accepted the documents and passed them on to the bank for them to review the dispute contestation. They will either reject or accept the contestation, or require further documents.REOPENED_PENDING_CLIENT_ACTION– Mangopay didn’t accept the documents and requires more information or documents before sending the documents to the bank.CLOSED– The dispute is closed.
string
Additional information about the dispute
Status communicated by Mangopay teams.object
string
Returned values:
LOST, WON, VOIDThe result of the dispute for the platform, which can be:LOST– The platform lost the dispute and must settle its debt to Mangopay with a Settlement Transfer.WON– The platform won the dispute, the disputed funds will be credited back to the Repudiation Wallet.VOID– The dispute has been canceled.
string
The explanation of the result code.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
Unix timestamp
The date and time the dispute was closed (i.e., its
Note: This value will be
Status is set to CLOSED).Note: This value will be
null for any Dispute closed before February 16th, 2023.string
The unique identifier of the repudiation.
[
{
"InitialTransactionId": "158596153",
"InitialTransactionType": "PAYIN",
"InitialTransactionNature": "REGULAR",
"DisputeType": "CONTESTABLE",
"ContestDeadlineDate": 1673049599,
"DisputedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"ContestedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Status": "PENDING_CLIENT_ACTION",
"StatusMessage": null,
"DisputeReason": {
"DisputeReasonMessage": "This is a test dispute",
"DisputeReasonType": "UNKNOWN"
},
"ResultCode": "",
"ResultMessage": null,
"Id": "159102965",
"Tag": null,
"CreationDate": 1672411848,
"ClosedDate": 1675260940,
"RepudiationId": "159102966"
}
]
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$response = $api->Disputes->GetAll();
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
const listDisputes = async () => {
return await mangopay.Disputes.getAll()
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listDisputes()
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listDisputes()
begin
response = MangoPay::Dispute.fetch()
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Disputes: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
listDisputes()
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Dispute;
import java.util.List;
public class ListDisputes {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
List<Dispute> disputes = mangopay.getDisputeApi().getAll();
for (Dispute dispute : disputes) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(dispute);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Dispute
disputes = Dispute.all()
for dispute in disputes:
print()
pprint(dispute._data)
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputes = await api.Disputes.GetAllAsync(new Pagination(1, 100), null);
string prettyPrint = JsonConvert.SerializeObject(disputes, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I